Skip to main content
PUT
Update SFTP credentials

Authorizations

X-Dromo-License-Key
string
header
required

This backend API key is different than your frontend license key. Please use the "Backend" license key from your Dromo Dashboard.

Path Parameters

id
string<uuid>
required

SFTP credentials ID

Example:

"ee5d0e45-b098-47bc-8217-e93790243dfa"

Body

application/json
hostname
string
required
Example:

"sftp.example.com"

port
integer
required
Example:

22

user
string
required
Example:

"sftpuser"

auth_type
enum<string>
required
Available options:
PASSWORD,
KEY
Example:

"PASSWORD"

password
string

Optional - omit or use empty string to preserve existing password

Example:

"new-secure-password-123"

private_key
string

Optional - omit or use empty string to preserve existing key

Example:

"-----BEGIN OPENSSH PRIVATE KEY-----\nb3BlbnNzaC1rZXktdjEAAAAABG5vbmUAAAAEbm9uZQAAAAAAAAABAAABlwAAAAdzc2gtcn\n...\n-----END OPENSSH PRIVATE KEY-----"

Response

SFTP credentials updated

hostname
string
required
Example:

"sftp.example.com"

port
integer
required
Example:

22

user
string
required
Example:

"sftpuser"

auth_type
enum<string>
required
Available options:
PASSWORD,
KEY
Example:

"PASSWORD"

id
string<uuid>
read-only
Example:

"ee5d0e45-b098-47bc-8217-e93790243dfa"

key_fingerprint
string | null
read-only
Example:

"SHA256:abc123..."